QGIS Application - Bug report #17358
Draw Effects not saved
2017-10-30 01:52 PM - Jeffrey Bostoen

Status: Open

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:3.4.4
Operating System: Win 10 x64
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 25255

Description

I'm using QGIS 2.18.13. Been working on a project for some hours now.
| had some project filec orruptions - not sure what the issue there is, assuming virtual layers.

But here's a bug | can reproduce easily in my current project.
| have a virtual layer (currently simply selects all features from a shapefile layer. I'm using this because | want to be able to set a filter on
the shapefile layer and have it applied on several layers at once).

In this layer, I'm using categorized symbols.

The symbol is in fact a Geometry Generator, generating a polygon.

Now, whenever | go to Geometry Generator -> Fill -> Simple Fill and set draw effects, they're applied.

Same goes for just applying the draw effect on the Geometry Generator.

| save the project.
| reopen the project.

Draw filter is gone, whether | set it on the actual generator or on the fill.

History

#1 - 2017-10-30 10:13 PM - Giovanni Manghi
- Easy fix? changed from Yes to No

- Category changed from Symbology to Project Loading/Saving

#2 - 2019-01-21 12:34 AM - Jiirgen Fischer
- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#3 - 2019-02-23 04:52 PM - Alessandro Cristofori
- File style_issue.png added

Bug still present on 3.4.4 (see attached)

#4 - 2019-02-23 10:29 PM - Giovanni Manghi
- Affected QGIS version changed from 2.18.13 to 3.4.4
- Status changed from Feedback to Open
